org.eclipse.oomph.setup.mylyn.util

## Class MylynSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.oomph.setup.mylyn.util.MylynSwitch<T>

-     public class MylynSwitch<T>
      extends Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `MylynPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static MylynPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MylynSwitch()` Creates an instance of the switch.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseBuildPlan(BuildPlan object)` Returns the result of interpreting the object as an instance of 'Build Plan'.
    `T` | `caseModelElement(ModelElement object)` Returns the result of interpreting the object as an instance of 'Model Element'.
    `T` | `caseMylynBuildsTask(MylynBuildsTask object)` Returns the result of interpreting the object as an instance of 'Builds Task'.
    `T` | `caseMylynQueriesTask(MylynQueriesTask object)` Returns the result of interpreting the object as an instance of 'Queries Task'.
    `T` | `caseQuery(Query object)` Returns the result of interpreting the object as an instance of 'Query'.
    `T` | `caseQueryAttribute(Map.Entry<String,String> object)` Returns the result of interpreting the object as an instance of 'Query Attribute'.
    `T` | `caseSetupTask(SetupTask object)` Returns the result of interpreting the object as an instance of 'Task'.
    `T` | `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected boolean` | `isSwitchFor(EPackage ePackage)` Checks whether this is a switch for the given package.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static MylynPackage modelPackage

      The cached model package
      Generated

  - ### Constructor Detail

    - #### MylynSwitch

          public MylynSwitch()

      Creates an instance of the switch.
      Generated

  - ### Method Detail

    - #### isSwitchFor

          protected boolean isSwitchFor(EPackage ePackage)

      Checks whether this is a switch for the given package.
      Specified by:
        `isSwitchFor` in class `Switch<T>`
      Returns:
        whether this is a switch for the given package.
      Generated

    - #### doSwitch

          protected T doSwitch(int classifierID,
                   EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Overrides:
        `doSwitch` in class `Switch<T>`
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated

    - #### caseMylynQueriesTask

          public T caseMylynQueriesTask(MylynQueriesTask object)

      Returns the result of interpreting the object as an instance of 'Queries Task'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Queries Task'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseMylynBuildsTask

          public T caseMylynBuildsTask(MylynBuildsTask object)

      Returns the result of interpreting the object as an instance of 'Builds Task'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Builds Task'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseBuildPlan

          public T caseBuildPlan(BuildPlan object)

      Returns the result of interpreting the object as an instance of 'Build Plan'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Build Plan'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseQuery

          public T caseQuery(Query object)

      Returns the result of interpreting the object as an instance of 'Query'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Query'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseQueryAttribute

          public T caseQueryAttribute(Map.Entry<String,String> object)

      Returns the result of interpreting the object as an instance of 'Query Attribute'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Query Attribute'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseModelElement

          public T caseModelElement(ModelElement object)

      Returns the result of interpreting the object as an instance of 'Model Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Model Element'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseSetupTask

          public T caseSetupTask(SetupTask object)

      Returns the result of interpreting the object as an instance of 'Task'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Task'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### defaultCase

          public T defaultCase(EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html